summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /mail-client/clawsker
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'mail-client/clawsker')
-rw-r--r--mail-client/clawsker/Manifest2
-rw-r--r--mail-client/clawsker/clawsker-0.7.10.ebuild24
-rw-r--r--mail-client/clawsker/clawsker-0.7.8.ebuild24
-rw-r--r--mail-client/clawsker/metadata.xml9
4 files changed, 59 insertions, 0 deletions
diff --git a/mail-client/clawsker/Manifest b/mail-client/clawsker/Manifest
new file mode 100644
index 00000000000..02eb4f4b5eb
--- /dev/null
+++ b/mail-client/clawsker/Manifest
@@ -0,0 +1,2 @@
+DIST clawsker-0.7.10.tar.gz 67488 SHA256 c044f9a7469c828abcb397b42fd2215845b9d655aa82917b51eeb2c41c274594 SHA512 1b7b3638485af509e4b32be5cdb6ffa2e56b7ddb661dbde291ac4cb7804c98363ddcaa46d36ffba0699c77d0a66e84ff5b58be29ddb3d7d9f9ec0e6567a9075f WHIRLPOOL d9b822bd1a4e6f91d8386f85313a4b1d35905aada17da97bafc97c830f22202e193e736cc7710711ca8ca14e7c34243424e8e6364b1f8f3617cc3a49e7e6e336
+DIST clawsker-0.7.8.tar.gz 66210 SHA256 133f89db736f77979603ebf02eea4fbcb654fb69cfcf2301c3598ff52ac61155 SHA512 2dd1cccc45641aeb58769630f095d23f68b0bdc8276711cea1d25597c2c3fd94ef5b318bafc5332f4c3880715052949f07e3a2b8ad554baa4b871434547abdca WHIRLPOOL cf65547430ab6ceec335e58e312b5bae7116381b87e957273a7d3594f95479958a8cfd7349fe50b68c89e0b0a03a6a14d453761c134c381253579b46bea00350
diff --git a/mail-client/clawsker/clawsker-0.7.10.ebuild b/mail-client/clawsker/clawsker-0.7.10.ebuild
new file mode 100644
index 00000000000..20128d92964
--- /dev/null
+++ b/mail-client/clawsker/clawsker-0.7.10.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="Applet to edit Claws Mail's hidden preferences"
+HOMEPAGE="http://www.claws-mail.org/clawsker/"
+SRC_URI="http://www.claws-mail.org/tools/${P}.tar.gz"
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=dev-lang/perl-5.8.0
+ >=dev-perl/gtk2-perl-1.200
+ >=dev-perl/Locale-gettext-1.05
+ >=mail-client/claws-mail-3.5.0"
+
+src_compile() {
+ emake || die
+}
+
+src_install() {
+ emake install DESTDIR="${D}" PREFIX=/usr || die
+}
diff --git a/mail-client/clawsker/clawsker-0.7.8.ebuild b/mail-client/clawsker/clawsker-0.7.8.ebuild
new file mode 100644
index 00000000000..7779bbad596
--- /dev/null
+++ b/mail-client/clawsker/clawsker-0.7.8.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="Applet to edit Claws Mail's hidden preferences"
+HOMEPAGE="http://www.claws-mail.org/clawsker/"
+SRC_URI="http://www.claws-mail.org/tools/${P}.tar.gz"
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+RDEPEND=">=dev-lang/perl-5.8.0
+ >=dev-perl/gtk2-perl-1.200
+ >=dev-perl/Locale-gettext-1.05
+ >=mail-client/claws-mail-3.5.0"
+
+src_compile() {
+ emake || die
+}
+
+src_install() {
+ emake install DESTDIR="${D}" PREFIX=/usr || die
+}
diff --git a/mail-client/clawsker/metadata.xml b/mail-client/clawsker/metadata.xml
new file mode 100644
index 00000000000..df7c388592e
--- /dev/null
+++ b/mail-client/clawsker/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>net-mail</herd>
+ <maintainer>
+ <email>fauli@gentoo.org</email>
+ <name>Christian Faulhammer</name>
+ </maintainer>
+</pkgmetadata>